authenticate-1.3.3.2: Authentication methods for Haskell web applications.

Safe Haskell | None
Language | Haskell98

Web.Authenticate.OpenId

Contents

- Functions
- Types
  - Response

Synopsis

- getForwardUrl :: (MonadResource m, MonadBaseControl IO m) => Text -> Text -> Maybe Text -> [(Text, Text)] -> Manager -> m Text
- authenticate :: (MonadBaseControl IO m, MonadResource m, MonadIO m) => [(Text, Text)] -> Manager -> m (Identifier, [(Text, Text)])
- authenticateClaimed :: (MonadBaseControl IO m, MonadResource m, MonadIO m) => [(Text, Text)] -> Manager -> m OpenIdResponse
- data AuthenticateException
  - = RpxnowException String
  - | NormalizationException String
  - | DiscoveryException String
  - | AuthenticationException String
- newtype Identifier = Identifier {
  - identifier :: Text
  }
- data OpenIdResponse
- oirOpLocal :: OpenIdResponse -> Identifier
- oirParams :: OpenIdResponse -> [(Text, Text)]
- oirClaimed :: OpenIdResponse -> Maybe Identifier

# Functions

getForwardUrl #

Arguments

:: (MonadResource m, MonadBaseControl IO m) |
=> Text | The openid the user provided.
-> Text | The URL for this application's complete page.
-> Maybe Text | Optional realm
-> [(Text, Text)] | Additional parameters to send to the OpenID provider. These can be useful for using extensions.
-> Manager |
-> m Text | URL to send the user to.

authenticate :: (MonadBaseControl IO m, MonadResource m, MonadIO m) => [(Text, Text)] -> Manager -> m (Identifier, [(Text, Text)]) #

Deprecated: Use authenticateClaimed

authenticateClaimed :: (MonadBaseControl IO m, MonadResource m, MonadIO m) => [(Text, Text)] -> Manager -> m OpenIdResponse #

# Types

data AuthenticateException #

Constructors

RpxnowException String |
NormalizationException String |
DiscoveryException String |
AuthenticationException String |

Instances

Show AuthenticateException # |
Methods showsPrec :: Int -> AuthenticateException -> ShowS # show :: AuthenticateException -> String # showList :: [AuthenticateException] -> ShowS #
Exception AuthenticateException # |
Methods toException :: AuthenticateException -> SomeException # fromException :: SomeException -> Maybe AuthenticateException # displayException :: AuthenticateException -> String #

newtype Identifier #

A valid OpenID identifier.

Constructors

Identifier |
Fields identifier :: Text

Instances

Eq Identifier # |
Methods (==) :: Identifier -> Identifier -> Bool # (/=) :: Identifier -> Identifier -> Bool #
Data Identifier # |
Methods gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Identifier -> c Identifier # gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Identifier # toConstr :: Identifier -> Constr # dataTypeOf :: Identifier -> DataType # dataCast1 :: Typeable (* -> *) t => (forall d. Data d => c (t d)) -> Maybe (c Identifier) # dataCast2 :: Typeable (* -> * -> *) t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Identifier) # gmapT :: (forall b. Data b => b -> b) -> Identifier -> Identifier # gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Identifier -> r # gmapQr :: (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Identifier -> r # gmapQ :: (forall d. Data d => d -> u) -> Identifier -> [u] # gmapQi :: Int -> (forall d. Data d => d -> u) -> Identifier -> u # gmapM :: Monad m => (forall d. Data d => d -> m d) -> Identifier -> m Identifier # gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Identifier -> m Identifier # gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Identifier -> m Identifier #
Ord Identifier # |
Methods compare :: Identifier -> Identifier -> Ordering # (<) :: Identifier -> Identifier -> Bool # (<=) :: Identifier -> Identifier -> Bool # (>) :: Identifier -> Identifier -> Bool # (>=) :: Identifier -> Identifier -> Bool # max :: Identifier -> Identifier -> Identifier # min :: Identifier -> Identifier -> Identifier #
Read Identifier # |
Methods readsPrec :: Int -> ReadS Identifier # readList :: ReadS [Identifier] # readPrec :: ReadPrec Identifier # readListPrec :: ReadPrec [Identifier] #
Show Identifier # |
Methods showsPrec :: Int -> Identifier -> ShowS # show :: Identifier -> String # showList :: [Identifier] -> ShowS #

## Response

data OpenIdResponse #

oirOpLocal :: OpenIdResponse -> Identifier #

oirParams :: OpenIdResponse -> [(Text, Text)] #

oirClaimed :: OpenIdResponse -> Maybe Identifier #